"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEventsFromContract = async (contract, eventFilter) => {
    return (await contract.provider.getLogs({
        ...eventFilter,
        fromBlock: 0,
        toBlock: 'latest'
    })).map((log) => contract.interface.parseLog(log).values);
};
//# sourceMappingURL=events.js.map